Subject: Re: linux-next: ground rules

From: James Bottomley <[email-masked]>
Date: Fri, 14 Aug 2009 08:56:13 -0500

On Fri, 2009-08-14 at 18:02 +1000, Stephen Rothwell wrote:
> [This email has been bcc'd to all the current contributors to
> linux-next.  No response is required unless you have some issue with the
> following.]
> 
> Thanks for being a participant of linux-next.  I have been asked by my 
> employer to send you this e-mail summarizing these "ground rules" for the 
> project:
> 
> The linux-next integration testing is not a judgment of your code.  The 
> purpose of linux-next is for integration testing and to lower the impact 
> of conflicts between subsystems in the next merge window. 
> 
> You need to ensure that the patches/commits in your tree/series have been:
>      * submitted under GPL v2 (or later) and include the Contributor's
> 	Signed-off-by,
>      * posted to the relevant mailing list,
>      * reviewed by you (or another maintainer of your subsystem tree),
>      * successfully unit tested, and 

The rest are fine, but this one isn't feasible for a driver tree ... I
don't have all the hardware, and people will insist on fixing
theoretical bugs in drivers we can't test on.

A lot of time, bugs turn up in this code only after it has been on
release for several months and the small pool of HW owners actually gets
around to testing it.

Additionally, I have to carry patches on trust for HW I'm never likely
to see outside someones multi-million dollar lab.

>      * destined for the current or next Linux merge window.

James